<!-- PARAMETER CREATION FORM -->
<div class="uk-margin-small-bottom">
    <div class="uk-card uk-card-default">
        <div class="uk-card-header uk-card-primary uk-padding-small uk-card">
            <div uk-grid>
                <div class="uk-width-expand uk-margin-auto-vertical">
                    <div class="uk-flex uk-flex-middle">
                        <a (click)="cancel()" class="uk-icon-button uk-margin-small-right" uk-tooltip="title: CANCEL; pos: top"><span uk-icon="icon: close"></span></a>
                        <p class="uk-margin-remove uk-text-small">NEW PARAMETER</p>
                    </div>
                </div>
                <div class="uk-width-auto uk-margin-auto-vertical">
                    <a href="javascript:void(0)" (click)="sendForm()" class="uk-icon-button" uk-tooltip="title: SAVE; pos: left"><span uk-icon="icon: cloud-upload"></span></a>
                </div>
            </div>
        </div>
        <div class="uk-card-body">
            <!---- ---->
            <div>
                <div class="uk-inline uk-width-1-1">
                    <span class="uk-form-icon" uk-icon="icon: pencil"></span>
                    <input appValidateSpetialCharacters [(ngModel)]="paramTitle" class="uk-input uk-width-1-1 uk-input-square" placeholder="NAME*" type="text" style="width: 100%">
                </div>
            </div>
            <div>
                <textarea appValidateSpetialCharacters [(ngModel)]="paramDesc" class="uk-textarea uk-width-1-1 uk-input-square uk-margin-small-top uk-margin-small-bottom" rows="3" placeholder="DESCRIPTION*" type="textarea" style="width: 100%"></textarea>
            </div>

            <div>
                <div *ngFor="let crit of criterias; let i = index" class="uk-grid-small" uk-grid>
                    <div class="uk-width-expand uk-margin-auto-vertical">
                        <div class="uk-form">
                            <div class="uk-inline uk-width-1-1">
                                <span class="uk-form-icon" uk-icon="icon: pencil"></span>
                                <input appValidateSpetialCharacters [(ngModel)]="crit.title" class="uk-input uk-form-small uk-input-square uk-width-1-1" placeholder="CRITERIA*" type="text" style="width: 100%" uk-tooltip="title: CRITERIA; pos: top">
                            </div>
                        </div>
                    </div>
                    <div class="uk-width-1-4 uk-margin-auto-vertical">
                        <div class="uk-form">
                                <input appValidateSpetialCharacters [(ngModel)]="crit.points" step="0.1" class="uk-input uk-form-small uk-input-square uk-width-1-1" placeholder="VAL*" type="number" style="width: 100%" uk-tooltip="title: VALUE; pos: top">
                        </div>
                    </div>
                    <div class="uk-width-auto uk-margin-auto-vertical">
                        <div class="uk-flex uk-flex-middle">
                            <a *ngIf="criterias.length != 1" href="javascript:void(0)" (click)="spliceParaCrear(i)" class="uk-icon-button" uk-icon="icon: trash" uk-tooltip="title: ERASE; pos: top"></a>
                            <a href="javascript:void(0)" (click)="addCriteria()" class="uk-icon-button uk-margin-small-left" uk-icon="icon: plus" uk-tooltip="title: ADD; pos: top"></a>
                        </div>
                    </div>
                </div>
            </div>
            <!---- ---->
        </div>
    </div>
</div>
<!-- PARAMETER CREATION FORM END -->